
Redmine - Feature #3790

extend child_page macro to specify number of levels

2009-08-28 05:27 - jon hertzig

Status: Closed Start date: 2009-08-28

Priority: Normal Due date: 2013-04-25

Assignee:  % Done: 0%

Category: Wiki Estimated time: 0.00 hour

Target version:    

Resolution: No feedback   

Description

The child_page macro only seems to go 3 levels deep, that is, it shows the hierarchy down to three levels (eg, 1,  1.1., 1.1.1)

It would be really nice to include a parameter that lets you specify how deep it should go....

History

#1 - 2013-04-10 18:45 - Dipan Mehta

As of this page http://www.redmine.org/projects/redmine/wiki/RedmineTextFormatting - the above is now possible.

!{{child_pages}} -- can be used from a wiki page only

!{{child_pages(depth=2)}} -- display 2 levels nesting only

 Can we close this issue?

#2 - 2013-04-11 13:10 - Toshi MARUYAMA

- Category set to Wiki

- Status changed from New to Needs feedback

#3 - 2013-04-11 14:57 - Daniel Felix

- Due date set to 2013-04-25

Please give Feedback until 25th April, otherwise this issue will be closed. Thanks! :-)

Best regards,

Daniel

#4 - 2013-05-07 09:47 - Daniel Felix

- Status changed from Needs feedback to Closed

- Resolution set to No feedback

Closed as there is no feedback on this issue.

Powered by TCPDF (www.tcpdf.org)

2025-03-13 1/1

http://www.redmine.org/projects/redmine/wiki/RedmineTextFormatting
http://www.tcpdf.org

